create or replace package htp as
    procedure print(t IN VARCHAR2);
    procedure prn(t IN VARCHAR2);
end htp;
/
show errors
create or replace package body htp as
    procedure print(t IN VARCHAR2) IS
    begin
	oci_www.putString(t);
    end print;
    procedure prn(t IN VARCHAR2) IS
    begin
	oci_www.putString(t||CHR(13));
    end prn;
end htp;
/
show errors
